계정·운영

Webhook 조회

Markdown으로 보기
GET
/v1/accounts/{accountId}/webhooks/{webhookId}

Webhook 하나의 설정과 마지막 전송 결과를 반환합니다. 다른 계정의 webhook 은 없는 webhook 과 똑같이 404 를 반환합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

webhookId*string

Webhook ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/webhooks/WH1a2b3c4d"
{
  "id": "clxyz123",
  "account_id": "AC1a2b3c4d",
  "url": "https://my-app.com/webhook",
  "events": [
    "message.sent",
    "message.received"
  ],
  "active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "lastDelivery": {
    "event": "message.sent",
    "status": "pending",
    "responseStatus": 0,
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}